- Qt 6.8
- Qt GUI
- C++ Classes
- QGuiApplication
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QGuiApplication

The following members of class QGuiApplication are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(deprecated in 6.0)` void | fontChanged(const QFont &font)
`(deprecated in 6.0)` void | paletteChanged(const QPalette &palette)

## Member Function Documentation

### `[signal, deprecated in 6.0]` void QGuiApplication::fontChanged(const QFont &font)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Handle QEvent::ApplicationFontChange instead.

This signal is emitted when the font of the application changes. Use QEvent::ApplicationFontChanged instead.

See also font().

### `[signal, deprecated in 6.0]` void QGuiApplication::paletteChanged(const QPalette &palette)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Handle QEvent::ApplicationPaletteChange instead.

This signal is emitted when the palette of the application changes. Use QEvent::ApplicationPaletteChanged instead.

See also palette().